﻿//=======================================================================================
//
//  Purpose: Hold the information for a data item read from the Netduino.
//
//
//  Copyright (C) 2011 Mark Stevens
//
//  Permission is hereby granted, free of charge, to any person obtaining a copy
//  of this software and associated documentation files (the "Software") to use
//  the Software in a non-commercial environment subject to the following conditions:
//
//  1.  The above copyright notice and this permission notice shall be included in
//      all copies or substantial portions of the Software.
//  2.  The original author shall be acknowledged in any software and documentation
//      including (but not restricted to) books, articles and online posts.
//
//  Use in a commercial environment is subject to the written consent of the author
//  and/or copyright holder.
//
//  The Software, documentation, instructions for use and associated materials
//  are provided "as is" without warranty of any kind express or implied.  The
//  author and copyright holders shall ihn no way be held liable for any claim
//  or damages arising as a result of the use of the software and/or documentation.
//
//=======================================================================================
namespace NE555Calculator
{
    /// <summary>
    /// Data item as read from the Netduino Plus.
    /// </summary>
    public class DataItem
    {
        /// <summary>
        /// Clock tick value when the reading was taken.
        /// </summary>
        public long When { get; set; }

        /// <summary>
        /// Rading from the Netduino.
        /// </summary>
        public long Reading { get; set; }
    }
}
